{% extends 'dashboard/dashboard_content.html' %}

{% block rightPane %}

    <div class="x_title">
        <h2><i class="fa fa-envelope-o"></i> Message Box </h2>
    </div>
    <form method="POST">{% csrf_token %}
        <div class="x_content">
            <div class="row">
                <div>
                    <table>
                        <tr>
                            <td>
                                <button id="compose" class="btn btn-sm btn-success btn-block" type="button"
                                        data-toggle="modal" data-target="#myModal">
                                    COMPOSE
                                </button>
                            </td>
                            <td>
                                &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
                                &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
                            </td>
                            <td>
                                <input type="submit" class="save btn btn-sm btn-danger" name="delete" value="Delete"/>
                            </td>
                        </tr>
                    </table>
                    <form method="POST">{% csrf_token %}
                        <div class="modal" id="myModal" tabindex="-1" role="dialog"
                             aria-labelledby="myModalLabel1" aria-hidden="true">
                            <div class="modal-dialog" role="document">
                                <div class="modal-content">
                                    <div class="modal-header">
                                        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                                            <span aria-hidden="true">&times;</span>
                                        </button>
                                        <h4 class="modal-title" id="myModalLabel1">Compose</h4>
                                    </div>
                                    <div class="modal-body">
                                        TO:
                                        <select name="selected_recipient" class="form-control">
                                            <!--<option value=""> --Choose a recipient-- </option>-->
                                            {% for each in recipt_list %}
                                                <option value="{{ each.mail }}"> {{ each.name }} ( {{ each.mail }} )
                                                </option>
                                            {% endfor %}
                                        </select>
                                        Subject:
                                        <input type="text" class="form-control" name="subject" placeholder="Subject"
                                               maxlength="100" style="width: 570px; height: 40px; border: ridge">
                                        <br><br>
                                        <textarea name="body" maxlength="2000" placeholder="Write your content"
                                                  style="width: 570px; height: 200px"></textarea>
                                    </div>
                                    <div class="modal-footer">
                                        <button type="button" class="btn btn-secondary" data-dismiss="modal">Close
                                        </button>
                                        <input type="submit" class="save btn btn-lg btn-success" name="send_mail"
                                               value="Send"/>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </form>
                </div>
                <div class="x_content">
                    <ul class="nav nav-tabs bar_tabs">
                        <li class="active"><a aria-expanded="false" href="#inbox" data-toggle="tab"> Inbox </a>
                        </li>
                        <li class=""><a aria-expanded="false" href="#sentbox" data-toggle="tab"> Sent Box </a>
                        </li>
                        <li class=""><a aria-expanded="false" href="#recyclebin" data-toggle="tab"> Recycle Bin </a>
                        </li>
                    </ul>
                    <div class="tab-content">
                        <div role="tabpanel" class="tab-pane fade active in" id="inbox">
                            <div class="x_content">
                                {% for each in inbox_list %}
                                    <input type="checkbox" name="inbox_delete"
                                           value="{{ each.sender }}~{{ each.date }}"/>
                                    <div>
                                        <div class="mail_list">
                                            <div class="left">
                                                <i class="fa fa-circle"></i> <i class="fa fa-edit"></i>
                                            </div>
                                            <div class="right">
                                                <h3><u>{{ each.name }} ( {{ each.sender }} )
                                                    <small>{{ each.date }}</small>
                                                </u>
                                                </h3>
                                                <p><strong> {{ each.subject }} </strong></p>
                                                <p>{{ each.body }}</p>
                                            </div>
                                        </div>
                                    </div>
                                {% endfor %}
                            </div>
                        </div>
                        <div role="tabpanel" class="tab-pane fade" id="sentbox">
                            <div class="x_content">
                                {% for each in sentbox_list %}
                                    <input type="checkbox" name="sentbox_delete"
                                           value="{{ each.recipient }}~{{ each.date }}"/>
                                    <div>
                                        <div class="mail_list">
                                            <div class="left">
                                                <i class="fa fa-circle"></i> <i class="fa fa-edit"></i>
                                            </div>
                                            <div class="right">
                                                <h3><u>{{ each.name }} ( {{ each.recipient }} )
                                                    <small>{{ each.date }}</small>
                                                </u>
                                                </h3>
                                                <p><strong> {{ each.subject }} </strong></p>
                                                <p>{{ each.body }}</p>
                                            </div>
                                        </div>
                                    </div>
                                {% endfor %}
                            </div>
                        </div>
                        <div role="tabpanel" class="tab-pane fade" id="recyclebin">

                            <table>
                                <tr>
                                    <td>
                                        &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
                                        &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
                                    </td>
                                    <td>
                                        <input type="submit" class="save btn btn-sm btn-success" name="restore"
                                               value="Restore"/>
                                    </td>
                                </tr>
                            </table>
                            <div class="x_content">
                                <ul class="nav nav-tabs bar_tabs">
                                    <li class="active"><a aria-expanded="false" href="#recyclebin_inbox"
                                                          data-toggle="tab"> Inbox </a>
                                    </li>
                                    <li class=""><a aria-expanded="false" href="#recyclebin_sentbox" data-toggle="tab">
                                        Sent Box </a>
                                    </li>
                                </ul>
                                <div class="tab-content">
                                    <div role="tabpanel" class="tab-pane fade active in" id="recyclebin_inbox">
                                        <div class="x_content">
                                            {% for each in recyclebin_inbox_list %}
                                                <input type="checkbox" name="recyclebin_inbox_mail"
                                                       value="{{ each.sender }}~{{ each.date }}"/>
                                                <div>
                                                    <div class="mail_list">
                                                        <div class="left">
                                                            <i class="fa fa-circle"></i> <i class="fa fa-edit"></i>
                                                        </div>
                                                        <div class="right">
                                                            <h3><u>{{ each.name }} ( {{ each.sender }} )
                                                                <small>{{ each.date }}</small>
                                                            </u>
                                                            </h3>
                                                            <p><strong> {{ each.subject }} </strong></p>
                                                            <p>{{ each.body }}</p>
                                                        </div>
                                                    </div>
                                                </div>
                                            {% endfor %}
                                        </div>
                                    </div>
                                    <div role="tabpanel" class="tab-pane fade" id="recyclebin_sentbox">
                                        <div class="x_content">
                                            {% for each in recyclebin_sentbox_list %}
                                                <input type="checkbox" name="recyclebin_sentbox_mail"
                                                       value="{{ each.recipient }}~{{ each.date }}"/>
                                                <div>
                                                    <div class="mail_list">
                                                        <div class="left">
                                                            <i class="fa fa-circle"></i> <i class="fa fa-edit"></i>
                                                        </div>
                                                        <div class="right">
                                                            <h3><u>{{ each.name }} ( {{ each.recipient }} )
                                                                <small>{{ each.date }}</small>
                                                            </u>
                                                            </h3>
                                                            <p><strong> {{ each.subject }} </strong></p>
                                                            <p>{{ each.body }}</p>
                                                        </div>
                                                    </div>
                                                </div>
                                            {% endfor %}
                                        </div>
                                    </div>
                                </div>
                            </div>

                        </div>
                    </div>
                </div>
            </div>
        </div>
    </form>

{% endblock %}